NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.13. nvmlUnitFanInfo_t Struct Reference

## [Unit Structs]

Fan speed reading for a single fan in an S-class unit.

### Public Variables

unsigned int speed
  Fan speed (RPM).
nvmlFanState_t state
  Flag that indicates whether fan is working properly.

### Variables

unsigned int nvmlUnitFanInfo_t::speed [inherited]

  Fan speed (RPM).

nvmlFanState_t nvmlUnitFanInfo_t::state [inherited]

  Flag that indicates whether fan is working properly.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback